> ## Documentation Index
> Fetch the complete documentation index at: https://docs.donate.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# List charities

> List all charities verified with donategg, with full metadata. Paginated.



## OpenAPI

````yaml https://www.donate.gg/api/v1/openapi get /charities
openapi: 3.0.0
info:
  title: Donate Developer API
  version: 1.0.0
  description: >-
    API for developers to list charities, create and manage donation configs.
    All endpoints require the `donate-api-key` header. Endpoints are gated by
    API scopes enabled at the organization level: Core API endpoints require the
    `core` scope (enabled by default), Partner API endpoints require the
    `partner` scope (must be explicitly granted).
servers:
  - url: /api/v1
    description: API v1 base path (relative to your dashboard origin)
security: []
paths:
  /charities:
    get:
      summary: List charities
      description: >-
        List all charities verified with donategg, with full metadata.
        Paginated.
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 200
            description: Page size (min 1, max 200)
          required: false
          description: Page size (min 1, max 200)
          name: limit
          in: query
        - schema:
            type: string
            description: Cursor for next page (from previous pageKey)
          required: false
          description: Cursor for next page (from previous pageKey)
          name: cursor
          in: query
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
            description: Filter by enabled state. Omit to return all charities.
          required: false
          description: Filter by enabled state. Omit to return all charities.
          name: isEnabled
          in: query
        - schema:
            type: string
            minLength: 1
            description: Developer API key
          required: true
          description: Developer API key
          name: donate-api-key
          in: header
      responses:
        '200':
          description: Paginated list of charities.
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: Maximum requests allowed in the current window.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: Unix epoch seconds when the current window resets.
          content:
            application/json:
              schema:
                type: object
                properties:
                  pageKey:
                    type: string
                    nullable: true
                  response:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        slug:
                          type: string
                        name:
                          type: string
                        logo:
                          type: string
                        website:
                          type: string
                        mission:
                          type: string
                        address:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        country:
                          type: string
                        zipCode:
                          type: string
                        taxId:
                          type: string
                        socials:
                          type: object
                          properties:
                            blog:
                              type: string
                              nullable: true
                            twitter:
                              type: string
                              nullable: true
                            facebook:
                              type: string
                              nullable: true
                            instagram:
                              type: string
                              nullable: true
                            linkedin:
                              type: string
                              nullable: true
                            youtube:
                              type: string
                              nullable: true
                            blogUrl:
                              type: string
                              nullable: true
                            twitterUrl:
                              type: string
                              nullable: true
                            twitterHandle:
                              type: string
                              nullable: true
                            facebookUrl:
                              type: string
                              nullable: true
                            facebookHandle:
                              type: string
                              nullable: true
                            instagramUrl:
                              type: string
                              nullable: true
                            instagramHandle:
                              type: string
                              nullable: true
                            linkedinUrl:
                              type: string
                              nullable: true
                            linkedinHandle:
                              type: string
                              nullable: true
                            youtubeUrl:
                              type: string
                              nullable: true
                            youtubeHandle:
                              type: string
                              nullable: true
                            youtubeChannelId:
                              type: string
                              nullable: true
                          required:
                            - blog
                            - twitter
                            - facebook
                            - instagram
                            - linkedin
                            - youtube
                            - blogUrl
                            - twitterUrl
                            - twitterHandle
                            - facebookUrl
                            - facebookHandle
                            - instagramUrl
                            - instagramHandle
                            - linkedinUrl
                            - linkedinHandle
                            - youtubeUrl
                            - youtubeHandle
                            - youtubeChannelId
                          additionalProperties: false
                        isEnabled:
                          type: boolean
                      required:
                        - id
                        - slug
                        - name
                        - logo
                        - website
                        - mission
                        - address
                        - city
                        - state
                        - country
                        - zipCode
                        - taxId
                        - socials
                        - isEnabled
                      additionalProperties: false
                required:
                  - pageKey
                  - response
                additionalProperties: false
        '429':
          description: >-
            Rate limit exceeded. Retry after the period indicated by the
            Retry-After header.
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: Maximum requests allowed in the current window.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: Unix epoch seconds when the current window resets.
            Retry-After:
              schema:
                type: integer
              description: Seconds until the client should retry.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  code:
                    type: string
                required:
                  - error
                  - code
                additionalProperties: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: donate-api-key
      description: >-
        Developer API key. Required for all requests. Obtain from the Donate
        dashboard.

````